Subject: Automake should support autotest-based testsuites.

From: Stefano Lattarini <[email-masked]>
Date: Tue, 15 Feb 2011 18:39:17 +0100

Severity: wishlist

Hello automakers.

I think that automake should support autotest-based testsuites
out-of-the-box.

The steps required to set up an autotest-based testsuite are already
excellently described in the autoconf manual:
 <http://www.gnu.org/software/autoconf/manual/html_node/Making-testsuite-Scripts.html>
and seem pretty mechanical, so it shouldn't be too much difficult to
teach automake how to reproduce them.

Do you think that would be worthwhile?  If yes, I might attempt an
implementation (taking as references/inspiration the autoconf manual
and autoconf's own tests/Makefile.am).  I must warn you that that will
probably take me some time, tough.

Regards,
  Stefano